DETOK(1)

NAME
detok - OpenBIOS detokenizer

SYNOPSIS
detok [options] forth-file

DESCRIPTION
detok is an open-source FCode detokenizer for the OpenBIOS project. It performs the reverse function, that is, it converts binary FCode into a form that can be read for purposes of verification.

OPTIONS

-h, -?
    Print a brief help message and then exit.

-v, --verbose
    Print additional messages: the hex value of each token processed, as well as a signature block.

-o  Display the positions of the tokens relative to the start of the first FCode block after a PCI header (if one is present), and the destination-offset of each branch.
    Note that the combination of the Verbose and Offsets options yields the maximum amount of useful information.

-n  Display the sequential number of each line of output.
    Note that the -n and -o options are mutually exclusive; if both are specified, -o will be favoured.

-a  Do not stop when end0 has been encountered. This option is usually not needed, but may be useful in cases where a file has been corrupted or when something very strange has been tokenized...

-f FCode-List-File
    Pre-load additional FCodes before processing. These might be, for instance, a set of vendor-specific FCodes that were generated for a specific vendor's products by a tokenizer customized for that specific vendor.

SEE ALSO
toke(1).

AUTHORS
David L. Paktor <dlpaktor@us.ibm.com>

This manual page was written by Aurelien Jarno <aurel32@debian.org> for the Debian GNU/Linux system (but may be used by others).